diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index b53d91e..6f4098c 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -22006,7 +22006,7 @@ ExpertSystemContinuityPackage(): E == I where
             varEqn := equation(varEdf,c1-c)$EEDF
             range2 := (lo(range)+c3)..(hi(range)+c3)
             s := zerosOf(subst(e,varEqn)$EDF,vars,range2)
-            st := map(#1-c2,s)$StreamFunctions2(DF,DF)
+            st := map(t1 +-> t1-c2,s)$StreamFunctions2(DF,DF)
             streamInRange(st,range)
           zerosOf(a,vars,range)
         (t := isPlus(e)$EDF) case LEDF =>    -- constant + expression
@@ -22016,7 +22016,7 @@ ExpertSystemContinuityPackage(): E == I where
             o := edf2df(second(t)$LEDF)
 --            one?(o) or one?(-o) =>           -- is it like (f(x) -/+ 1)
             (o = 1) or (-o = 1) =>           -- is it like (f(x) -/+ 1)
-              st := map(-#1/o,st)$StreamFunctions2(DF,DF)
+              st := map(t2 +-> -t2/o,st)$StreamFunctions2(DF,DF)
               streamInRange(st,range)
             empty()$SDF
           empty()$SDF
@@ -22056,7 +22056,7 @@ ExpertSystemContinuityPackage(): E == I where
             varEqn := equation(varEdf,c1-c)$EEDF
             range2 := (lo(range)+c3)..(hi(range)+c3)
             s := singularitiesOf(subst(e,varEqn)$EDF,vars,range2)
-            st := map(#1-c2,s)$StreamFunctions2(DF,DF)
+            st := map(t3 +-> t3-c2,s)$StreamFunctions2(DF,DF)
             streamInRange(st,range)
           singularitiesOf(a,vars,range)
         entry?(a,[b::EDF for b in vars]) =>
diff --git a/changelog b/changelog
index b1e3e48..5f88a4c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090518 tpd src/axiom-website/patches.html 20090518.04.tpd.patch
+20090518 tpd books/bookvol10.4 ESCONT +-> conversion
 20090518 tpd src/axiom-website/patches.html 20090518.03.tpd.patch
 20090518 tpd books/bookvol10.4 GBEUCLID +-> conversion
 20090518 tpd src/axiom-website/patches.html 20090518.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 605a5aa..c4c0eb5 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1344,5 +1344,7 @@ bookvol10.4 GBEUCLID +-> conversion<br/>
 bookvol10.2 SMP +-> conversion<br/>
 <a href="patches/20090518.03.tpd.patch">20090518.03.tpd.patch</a>
 bookvol10.4 GBEUCLID +-> conversion<br/>
+<a href="patches/20090518.04.tpd.patch">20090518.04.tpd.patch</a>
+bookvol10.4 ESCONT +-> conversion<br/>
  </body>
 </html>
